# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define _unpackaged_files_terminate_build 1

Name: bluez-gnome
Version: 0.28
Release: alt0.M41.1

Summary: Bluetooth pairing and control applet
License: GPL, LGPL
Group: Networking/Other
Url: http://bluez.sf.net/

Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source: %name-%version.tar.gz

BuildPreReq: libGConf-devel >= 2.16.0 libgtk+2-devel >= 2.10.0
BuildPreReq: libhal-devel >= 0.5.8 libnotify-devel >= 0.4.3 libdbus-glib-devel >= 0.71
BuildPreReq: perl-XML-Parser rpm-build-gnome

Requires(post): GConf
BuildPreReq: GConf
Requires(post,postun): shared-mime-info >= 0.15-alt2
Requires(post,postun): desktop-file-utils
BuildPreReq: desktop-file-utils

Requires: obex-data-server

%package analyzer
Summary: Bluetooth protocol analyzer
Group: Networking/Other
Requires: %name = %version-%release

BuildRequires: rpm-build-compat >= 0.95

%description
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

%description analyzer
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

This package contains the Bluetooth protocol analyzer.

%prep
%setup

%build
%configure \
	--disable-schemas-install \
	--disable-mime-update \
	--disable-desktop-update \
	--disable-icon-update \
	--enable-pie
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

mkdir -p %buildroot%_datadir/gnome/
mv %buildroot%_sysconfdir/xdg/autostart/ %buildroot%gnome_autostartdir/

desktop-file-install --vendor ""			\
	--add-category=X-GNOME-NetworkSettings		\
	--delete-original				\
        --dir %buildroot%_desktopdir			\
        %buildroot%_desktopdir/bluetooth-properties.desktop

%find_lang bluetooth-manager


%post
%gconf2_install bluetooth-manager
%update_mimedb
%update_menus
%update_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall bluetooth-manager
fi

%postun
%clean_mimedb
%clean_menus
%clean_desktopdb

%files -f bluetooth-manager.lang
%config %_sysconfdir/gconf/schemas/*
%gnome_autostartdir/*
%_bindir/*
%_desktopdir/*.desktop
%_datadir/mime/packages/*.xml
%_iconsdir/hicolor/*/apps/bluetooth.*
%_man1dir/*
%doc AUTHORS ChangeLog README
%exclude %_bindir/bluetooth-analyzer
%exclude %_desktopdir/bluetooth-analyzer.desktop
%exclude %_datadir/man/man1/bluetooth-analyzer.1.gz

%files analyzer
%_bindir/bluetooth-analyzer
%_desktopdir/bluetooth-analyzer.desktop
%_datadir/man/man1/bluetooth-analyzer.1.gz

%changelog
* Fri Aug 29 2008 Yuri N. Sedunov <aris@altlinux.org> 0.28-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Mon Aug 25 2008 Alexey Shabalin <shaba@altlinux.ru> 0.28-alt1
- 0.28

* Mon Jul 07 2008 Alexey Shabalin <shaba@altlinux.ru> 0.27-alt1
- 0.27
- add requires obex-data-server
- move autostart bluetooth-applet from xdg to gnome-autostart
- split package analyzer

* Wed May 28 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.26-alt1
- 0.26

* Wed Dec 26 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.15-alt1
- 0.15

* Sat Sep 22 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.14-alt1
- 0.14

* Fri Aug 03 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.13-alt1
- 0.13

* Tue Jul 31 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.11-alt1
- 0.11

* Thu Jun 21 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.9-alt1
- 0.9

* Sat Jun 09 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.8-alt1
- 0.8

* Sun May 20 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.7-alt1
- 0.7

* Tue Oct 31 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6-alt0.1
- 0.6

* Thu Oct 12 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.5-alt0.1
- 0.5

* Sat Sep 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.4-alt0.1
- initial build
